[Rubygems-developers] [ rubygems-Bugs-28033 ] gem unpack fails as non-privileged user

noreply at rubyforge.org noreply at rubyforge.org
Wed Apr 21 00:32:35 EDT 2010


Bugs item #28033, was opened at 2010-03-30 07:12
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28033&group_id=126

Category: `gem` commands (other)
Group: None
>Status: Closed
>Resolution: Rejected
Priority: 3
Submitted By: Mathieu Sauve-Frankel (kisoku)
>Assigned to: Eric Hodel (drbrain)
Summary: gem unpack fails as non-privileged user

Initial Comment:
Rubygems::Installer when called with options[:unpack] will always attempt 
to create the default gem directory, even when running as a non-privileged
user. As Rubygems::Commands::UnpackCommand does not have the --user-install
option included, it is not longer possible to unpack gems as a user who
does not have write access to @gem_home. 

See line 136 of lib/rubygems/installer.rb


----------------------------------------------------------------------

>Comment By: Eric Hodel (drbrain)
Date: 2010-04-20 21:32

Message:
Duplicate of #27872 which is fixed.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28033&group_id=126


More information about the Rubygems-developers mailing list